export default getpost;

import { POST_DIR } from '$env/static/private';
import Parser from './MetaParser';
import fs from 'node:fs';


async function getpost(id:string) {
    const md = fs.readFileSync(`${POST_DIR}/Posts/${id}.md`, 'utf8');

    let fm_line = md.split('\n');

    let line_no:number[] = []
    fm_line.forEach((i,n)=>{
        if(i=='---'){line_no.push(n)}
    })

    let a = line_no[0]

    let md_text = fm_line.slice(line_no[1]+1).join('\n');
    let fm_text = fm_line.slice(line_no[0]+1, line_no[1]).join('\n');

    let metadata = Parser(fm_text);

    return {metadata: metadata, post: md_text}
}