import Metadatas from "$lib/server/Metadatas";

export async function load({params}) {
    const cat = params.slug

    const metalist = await Metadatas()

    const posts = metalist
        .filter((meta)=>meta.metadata.category == cat)
        .map((meta)=>{
            return {page: meta.postId, url: `../../post/${meta.postId}`}
        })

    return {cat, posts}
}