import Metadatas from "$lib/server/Metadatas";

export async function load({params}) {
    const tag = params.slug

    const metalist = await Metadatas()

    const posts = metalist
        .filter((meta)=>meta.metadata.tags.includes(tag))
        .map((meta)=>{
            return {page: meta.postId, url: `../../post/${meta.postId}`}
        })

    return {tag, posts}
}