import Metadatas from "$lib/server/Metadatas";

export async function load() {
    let metalist = await Metadatas()

    let cats: string[] = []

    for (let meta of metalist){
        let cat = meta.metadata.category;

        if (!cats.includes(cat)) {
            cats.push(cat)
        }
    }

    return {cats: cats.map((cat)=>{return {page: cat, url: cat}})}
}