import Metadatas from "$lib/server/Metadatas";

export async function load() {
    let metalist = await Metadatas()

    let tags: string[] = []

    for (let meta of metalist){
        for (let tag of meta.metadata.tags) {
            if (!tags.includes(tag)) {
                tags.push(tag)
            }
        }
    }

    return {tags: tags.map((tag)=>{return {page: tag, url: tag}})}
}